Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class AdapterActivatorPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.PortableServer.AdapterActivatorPOA
                  |
                  +--org.omg.PortableServer.AdapterActivatorPOATie

All Implemented Interfaces:
  AdapterActivatorOperations, InvokeHandler

public class AdapterActivatorPOATie
extends AdapterActivatorPOA

Interface definition : AdapterActivator

Author:
  OpenORB Compiler

Constructor Summary
`AdapterActivatorPOATie(AdapterActivatorOperations tieObject)` Constructor
`AdapterActivatorPOATie(AdapterActivatorOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`AdapterActivatorOperations` | `_delegate()` Get the delegate
`void` | `_delegate(AdapterActivatorOperations delegate_)` Set the delegate
`boolean` | `unknown_adapter(POA parent, java.lang.String name)` Operation unknown_adapter

Methods inherited from class org.omg.PortableServer.AdapterActivatorPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterActivatorPOATie

    public AdapterActivatorPOATie(AdapterActivatorOperations tieObject)

  Constructor

### AdapterActivatorPOATie

    public AdapterActivatorPOATie(AdapterActivatorOperations tieObject,
                                  POA poa)

  Constructor

Method Detail

### _delegate

    public AdapterActivatorOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(AdapterActivatorOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### unknown_adapter

    public boolean unknown_adapter(POA parent,
                                   java.lang.String name)

  Operation unknown_adapter

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD